summaryrefslogtreecommitdiffstats
path: root/source4/utils/tests
diff options
context:
space:
mode:
Diffstat (limited to 'source4/utils/tests')
-rwxr-xr-xsource4/utils/tests/test_nmblookup.sh38
-rwxr-xr-xsource4/utils/tests/test_samba_tool.sh46
-rwxr-xr-xsource4/utils/tests/test_smbclient.sh35
3 files changed, 119 insertions, 0 deletions
diff --git a/source4/utils/tests/test_nmblookup.sh b/source4/utils/tests/test_nmblookup.sh
new file mode 100755
index 0000000..db2686e
--- /dev/null
+++ b/source4/utils/tests/test_nmblookup.sh
@@ -0,0 +1,38 @@
+#!/bin/sh
+# Blackbox tests for nmblookup
+
+NETBIOSNAME=$1
+NETBIOSALIAS=$2
+SERVER=$3
+SERVER_IP=$4
+nmblookup=$5
+shift 5
+TORTURE_OPTIONS=$*
+
+failed=0
+
+testit()
+{
+ name="$1"
+ shift
+ cmdline="$*"
+ echo "test: $name"
+ $cmdline
+ status=$?
+ if [ x$status = x0 ]; then
+ echo "success: $name"
+ else
+ echo "failure: $name"
+ failed=$(expr $failed + 1)
+ fi
+ return $status
+}
+
+testit "nmblookup -U \$SERVER_IP \$SERVER" $nmblookup $TORTURE_OPTIONS -U $SERVER_IP $SERVER
+testit "nmblookup -U \$SERVER_IP \$NETBIOSNAME" $nmblookup $TORTURE_OPTIONS -U $SERVER_IP $NETBIOSNAME
+testit "nmblookup -U \$SERVER_IP \$NETBIOSALIAS" $nmblookup $TORTURE_OPTIONS -U $SERVER_IP $NETBIOSALIAS
+testit "nmblookup \$SERVER" $nmblookup $TORTURE_OPTIONS $SERVER
+testit "nmblookup \$NETBIOSNAME" $nmblookup $TORTURE_OPTIONS $NETBIOSNAME
+testit "nmblookup \$NETBIOSALIAS" $nmblookup $TORTURE_OPTIONS $NETBIOSALIAS
+
+exit $failed
diff --git a/source4/utils/tests/test_samba_tool.sh b/source4/utils/tests/test_samba_tool.sh
new file mode 100755
index 0000000..3b1507e
--- /dev/null
+++ b/source4/utils/tests/test_samba_tool.sh
@@ -0,0 +1,46 @@
+#!/bin/sh
+# Blackbox tests for samba-tool
+
+SERVER=$1
+SERVER_IP=$2
+USERNAME=$3
+PASSWORD=$4
+DOMAIN=$5
+smbclient=$6
+shift 6
+
+failed=0
+
+samba4bindir="$BINDIR"
+samba_tool="$samba4bindir/samba-tool"
+
+testit()
+{
+ name="$1"
+ shift
+ cmdline="$*"
+ echo "test: $name"
+ $cmdline
+ status=$?
+ if [ x$status = x0 ]; then
+ echo "success: $name"
+ else
+ echo "failure: $name"
+ failed=$(expr $failed + 1)
+ fi
+ return $status
+}
+
+testit "Test login with --machine-pass without kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass
+
+testit "Test login with --machine-pass and kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k
+
+testit "time" $VALGRIND $PYTHON $samba_tool time $SERVER $CONFIGURATION -W "$DOMAIN" -U"$USERNAME%$PASSWORD" "$@"
+
+testit "domain level.show" $VALGRIND $PYTHON $samba_tool domain level show
+
+testit "domain info" $VALGRIND $PYTHON $samba_tool domain info $SERVER_IP
+
+testit "fsmo show" $VALGRIND $PYTHON $samba_tool fsmo show
+
+exit $failed
diff --git a/source4/utils/tests/test_smbclient.sh b/source4/utils/tests/test_smbclient.sh
new file mode 100755
index 0000000..9b3e8dc
--- /dev/null
+++ b/source4/utils/tests/test_smbclient.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+# Blackbox tests for smbclient
+
+SERVER=$1
+SERVER_IP=$2
+USERNAME=$3
+PASSWORD=$4
+DOMAIN=$5
+smbclient=$6
+shift 6
+
+failed=0
+
+testit()
+{
+ name="$1"
+ shift
+ cmdline="$*"
+ echo "test: $name"
+ $cmdline
+ status=$?
+ if [ x$status = x0 ]; then
+ echo "success: $name"
+ else
+ echo "failure: $name"
+ failed=$(expr $failed + 1)
+ fi
+ return $status
+}
+
+testit "Test login with --machine-pass without kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass --use-kerberos=disabled
+
+testit "Test login with --machine-pass and kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass --use-kerberos=required
+
+exit $failed